<?php

namespace Database\Seeders;

use App\Models\City;
use Illuminate\Database\Seeder;

class CitiesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(): void
    {
        $continents = [
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Abşeron',
                'name:en' => 'Abşeron',
                'name:ru' => 'Abşeron',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ağcabədi',
                'name:en' => 'Ağcabədi',
                'name:ru' => 'Ağcabədi',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ağdam',
                'name:en' => 'Ağdam',
                'name:ru' => 'Ağdam',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ağdaş',
                'name:en' => 'Ağdaş',
                'name:ru' => 'Ağdaş',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ağstafa',
                'name:en' => 'Ağstafa',
                'name:ru' => 'Ağstafa',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ağsu',
                'name:en' => 'Ağsu',
                'name:ru' => 'Ağsu',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Astara',
                'name:en' => 'Astara',
                'name:ru' => 'Astara',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Babək',
                'name:en' => 'Babək',
                'name:ru' => 'Babək',
            ],
            [
                'country' => 17,
                'is_capital' => true,
                'name:az' => 'Bakı',
                'name:en' => 'Bakı',
                'name:ru' => 'Bakı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Balakən',
                'name:en' => 'Balakən',
                'name:ru' => 'Balakən',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Beyləqan',
                'name:en' => 'Beyləqan',
                'name:ru' => 'Beyləqan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Bərdə',
                'name:en' => 'Bərdə',
                'name:ru' => 'Bərdə',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Biləsuvar',
                'name:en' => 'Biləsuvar',
                'name:ru' => 'Biləsuvar',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Cəbrayıl',
                'name:en' => 'Cəbrayıl',
                'name:ru' => 'Cəbrayıl',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Cəlilabad',
                'name:en' => 'Cəlilabad',
                'name:ru' => 'Cəlilabad',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Culfa',
                'name:en' => 'Culfa',
                'name:ru' => 'Culfa',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Daşkəsən',
                'name:en' => 'Daşkəsən',
                'name:ru' => 'Daşkəsən',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Füzuli',
                'name:en' => 'Füzuli',
                'name:ru' => 'Füzuli',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Gədəbəy',
                'name:en' => 'Gədəbəy',
                'name:ru' => 'Gədəbəy',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Gəncə',
                'name:en' => 'Gəncə',
                'name:ru' => 'Gəncə',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Goranboy',
                'name:en' => 'Goranboy',
                'name:ru' => 'Goranboy',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Göyçay',
                'name:en' => 'Göyçay',
                'name:ru' => 'Göyçay',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Göygöl',
                'name:en' => 'Göygöl',
                'name:ru' => 'Göygöl',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Hacıqabul',
                'name:en' => 'Hacıqabul',
                'name:ru' => 'Hacıqabul',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Xaçmaz',
                'name:en' => 'Xaçmaz',
                'name:ru' => 'Xaçmaz',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Xankəndi',
                'name:en' => 'Xankəndi',
                'name:ru' => 'Xankəndi',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Xırdalan',
                'name:en' => 'Xırdalan',
                'name:ru' => 'Xırdalan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Xızı',
                'name:en' => 'Xızı',
                'name:ru' => 'Xızı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Xocalı',
                'name:en' => 'Xocalı',
                'name:ru' => 'Xocalı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Xocavənd',
                'name:en' => 'Xocavənd',
                'name:ru' => 'Xocavənd',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'İmişli',
                'name:en' => 'İmişli',
                'name:ru' => 'İmişli',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'İsmayıllı',
                'name:en' => 'İsmayıllı',
                'name:ru' => 'İsmayıllı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Kəlbəcər',
                'name:en' => 'Kəlbəcər',
                'name:ru' => 'Kəlbəcər',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Kəngərli',
                'name:en' => 'Kəngərli',
                'name:ru' => 'Kəngərli',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Kürdəmir',
                'name:en' => 'Kürdəmir',
                'name:ru' => 'Kürdəmir',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Qax',
                'name:en' => 'Qax',
                'name:ru' => 'Qax',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Qazax',
                'name:en' => 'Qazax',
                'name:ru' => 'Qazax',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Qəbələ',
                'name:en' => 'Qəbələ',
                'name:ru' => 'Qəbələ',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Qobustan',
                'name:en' => 'Qobustan',
                'name:ru' => 'Qobustan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Quba',
                'name:en' => 'Quba',
                'name:ru' => 'Quba',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Qubadlı',
                'name:en' => 'Qubadlı',
                'name:ru' => 'Qubadlı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Qusar',
                'name:en' => 'Qusar',
                'name:ru' => 'Qusar',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Laçın',
                'name:en' => 'Laçın',
                'name:ru' => 'Laçın',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Lerik',
                'name:en' => 'Lerik',
                'name:ru' => 'Lerik',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Lənkəran',
                'name:en' => 'Lənkəran',
                'name:ru' => 'Lənkəran',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Masallı',
                'name:en' => 'Masallı',
                'name:ru' => 'Masallı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Mingəçevir',
                'name:en' => 'Mingəçevir',
                'name:ru' => 'Mingəçevir',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Naftalan',
                'name:en' => 'Naftalan',
                'name:ru' => 'Naftalan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Naxçıvan',
                'name:en' => 'Naxçıvan',
                'name:ru' => 'Naxçıvan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Neftçala',
                'name:en' => 'Neftçala',
                'name:ru' => 'Neftçala',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Oğuz',
                'name:en' => 'Oğuz',
                'name:ru' => 'Oğuz',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ordubad',
                'name:en' => 'Ordubad',
                'name:ru' => 'Ordubad',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Saatlı',
                'name:en' => 'Saatlı',
                'name:ru' => 'Saatlı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Sabirabad',
                'name:en' => 'Sabirabad',
                'name:ru' => 'Sabirabad',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Salyan',
                'name:en' => 'Salyan',
                'name:ru' => 'Salyan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Samux',
                'name:en' => 'Samux',
                'name:ru' => 'Samux',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Sədərək',
                'name:en' => 'Sədərək',
                'name:ru' => 'Sədərək',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Siyəzən',
                'name:en' => 'Siyəzən',
                'name:ru' => 'Siyəzən',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Sumqayıt',
                'name:en' => 'Sumqayıt',
                'name:ru' => 'Sumqayıt',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şabran',
                'name:en' => 'Şabran',
                'name:ru' => 'Şabran',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şahbuz',
                'name:en' => 'Şahbuz',
                'name:ru' => 'Şahbuz',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şamaxı',
                'name:en' => 'Şamaxı',
                'name:ru' => 'Şamaxı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şəki',
                'name:en' => 'Şəki',
                'name:ru' => 'Şəki',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şəmkir',
                'name:en' => 'Şəmkir',
                'name:ru' => 'Şəmkir',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şərur',
                'name:en' => 'Şərur',
                'name:ru' => 'Şərur',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şirvan',
                'name:en' => 'Şirvan',
                'name:ru' => 'Şirvan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Şuşa',
                'name:en' => 'Şuşa',
                'name:ru' => 'Şuşa',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Tərtər',
                'name:en' => 'Tərtər',
                'name:ru' => 'Tərtər',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Tovuz',
                'name:en' => 'Tovuz',
                'name:ru' => 'Tovuz',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Ucar',
                'name:en' => 'Ucar',
                'name:ru' => 'Ucar',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Yardımlı',
                'name:en' => 'Yardımlı',
                'name:ru' => 'Yardımlı',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Yevlax',
                'name:en' => 'Yevlax',
                'name:ru' => 'Yevlax',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Zaqatala',
                'name:en' => 'Zaqatala',
                'name:ru' => 'Zaqatala',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Zəngilan',
                'name:en' => 'Zəngilan',
                'name:ru' => 'Zəngilan',
            ],
            [
                'country' => 17,
                'is_capital' => false,
                'name:az' => 'Zərdab',
                'name:en' => 'Zərdab',
                'name:ru' => 'Zərdab',
            ],
        ];

        foreach ($continents as $continent) {
            City::create($continent);
        }
    }
}
